<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
  >

    <data>

        <variable
            name="itemBuyer"
            type="es.verdnatura.presentation.view.feature.calidad.model.ItemBuyerVO" />
    </data>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginBottom="@dimen/layout_margin_1">
        <!--CABECERA=================================================-->
        <LinearLayout
            android:id="@+id/item_row_layout"
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_2">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/verdnatura_warm_grey"
                android:padding="@dimen/layout_margin_min"
                android:orientation="vertical">
                <LinearLayout
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{itemBuyer.itemFk}"
                        tool:text="1872"
                        android:textStyle="bold"
                        android:textSize="@dimen/h6"
                        android:layout_marginRight="@dimen/layout_margin_min"/>


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{itemBuyer.longName}"
                        tool:text="Planta de prueba"
                        android:textStyle="bold"
                        android:textSize="@dimen/h8"/>
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="@dimen/layout_margin_min">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_gravity="center_vertical">

                    <androidx.cardview.widget.CardView
                        android:layout_width="@dimen/item_image_width_l"
                        android:layout_height="@dimen/item_image_width_l"
                        app:cardCornerRadius="30dp"
                        android:layout_marginRight="@dimen/layout_margin_1">
                        <ImageView
                            android:id="@+id/img_item"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            />
                    </androidx.cardview.widget.CardView>

                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="@dimen/layout_margin_min"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{itemBuyer.parking}"
                        tool:text="parking"
                        android:textStyle="bold"
                        android:textSize="@dimen/h8"/>

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{itemBuyer.shelvingFk}"
                        tool:text="shelvingFk"
                        android:textStyle="bold"
                        android:textSize="@dimen/h8"/>

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{itemBuyer.visible}"
                        tool:text="visible"
                        android:textStyle="bold"
                        android:textSize="@dimen/h8"/>

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{itemBuyer.created}"
                        tool:text="created"
                        android:textStyle="bold"
                        android:textSize="@dimen/h8"/>


                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_stars"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="@dimen/layout_margin_min"
                android:gravity="center_horizontal">

                <ImageView
                    android:id="@+id/s1"
                    android:tag="1"
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:src="@drawable/ic_star_ko"/>
                <ImageView
                    android:id="@+id/s2"
                    android:tag="2"
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:src="@drawable/ic_star_ko"/>
                <ImageView
                    android:id="@+id/s3"
                    android:tag="3"
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:src="@drawable/ic_star_ko"/>
                <ImageView
                    android:id="@+id/s4"
                    android:tag="4"
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:src="@drawable/ic_star_ko"/>
                <ImageView
                    android:id="@+id/s5"
                    android:tag="5"
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:src="@drawable/ic_star_ko"/>

            </LinearLayout>

        </LinearLayout>



    </LinearLayout>
</layout>